:root {
    --ocean-black: #141e21;
    --deep-ocean: #1b3a42;
    --volcanic-terracotta: #42231b;
    --shell-white: #f7f6f2;
    --reef-sand: #f0ebe1;
    --dusk-shell: #e4c5bd;
    --coral-clay: #6e3b2c;
    --mentawai-blue: #2c5f6e;
}

body {
    margin: 0px;
}

h1, h2 {
    font-family: 'DM Sans', sans-serif;
    font-weight: 500;
}

p {
    color: var(--ocean-black);
    font-family: 'Jost', sans-serif;
    font-size: 1rem;
    font-weight: 300;
    margin-block: 4px;
}

input {
    border: solid 1px var(--reef-sand);
    border-radius: 8px;
    box-sizing: border-box;
    font-family: 'Jost', sans-serif;
    font-size: 1rem;
    font-weight: 300;
    min-height: 48px;
    min-width: 240px;
    max-width: 100%;
    padding: 4px 16px;
}

input:focus {
    border-color: var(--mentawai-blue);
    box-shadow: none;
    outline: solid 3px var(--mentawai-blue);
}

button {
    background-color: var(--mentawai-blue);
    border: none;
    border-radius: 8px;
    color: var(--shell-white);
    font-family: 'Jost', sans-serif;
    font-size: 1rem;
    font-weight: 300;
    min-height: 48px;
    padding: 4px 24px;
}

button:hover {
    background-color: var(--deep-ocean);
    cursor: pointer;
}

a {
    color: inherit;
}

a:hover {
    text-decoration: none;
}

.full-viewport {
    align-items: center;
    backdrop-filter: blur(5px) grayscale(50%);
    background-image: url(assets/access-portal-background.webp);
    background-position-y: 75%;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100vh;
    padding: 16px;
    position: relative;
    z-index: 0;
}

.full-viewport::before, #portal-modal::before {
    background-color: var(--ocean-black);
    content: '';
    height: 100%;
    opacity: 70%;
    position: absolute;
    width: 100%;
}

.overlay {
    background-color: var(--ocean-black);
    height: 100vh;
    opacity: 70%;
    position: fixed;
    width: 100vw;
    z-index: 1;
}

#mentara-logo {
    max-width: 160px;
    position: fixed;
    top: 32px;
    z-index: 1000;
}

#portal-form, #portal-modal__container {
    background-color: var(--shell-white);
    border-radius: 16px;
    margin-bottom: 16px;
    opacity: 100%;
    padding: 40px;
    text-align: center;
    z-index: 2;
}

#portal-form h1, #portal-modal h2 {
    margin: 0px;
}

#email-input {
    margin-top: 24px;
}

#email-input input {
    margin-right: 8px;
}

.inquiries {
    color: var(--shell-white);
    font-size: 0.875rem;
    z-index: 2;
}

.copyright {
    color: var(--reef-sand);
    position: fixed;
    bottom: 32px;
}

#portal-modal {
    align-items: center;
    background-image: url(assets/access-portal-background.webp);
    background-position-y: 75%;
    box-sizing: border-box;
    display: flex;
    height: 100vh;
    justify-content: center;
    left: 0;
    opacity: 0;
    padding: 16px;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 0;
}

#portal-modal button {
    margin-top: 24px;
}

/*Mobile*/
@media screen and (max-width: 768px) {
    #mentara-logo {
        top: 24px;
    }

    #portal-form, #portal-modal__container {
        padding: 32px 24px;
    }

    #email-input input {
        width: 100%;    
    }

    .copyright {
        bottom: 24px;
    }

    #access-portal-btn {
        margin-top: 16px;
    }
}